USE [AdventureWorks]
GO

DROP TRIGGER Production.trSyncProduct
GO

DROP  PROCEDURE [dbo].[ProcessProduct]
GO

CREATE TABLE #Product (
	[ProductID]			int,
	[SafetyStockLevel]	int,
	[ReorderPoint]		int
	)

INSERT INTO #Product
           ([ProductID]
           ,[SafetyStockLevel]
           ,[ReorderPoint]
           )
     VALUES
           (1,1000,750),
           (2,1000,750),
           (3,800,600),
           (4,800,600),
           (316,800,600),
           (317,500,375),
           (318,500,375),
           (319,500,375)
GO

UPDATE p SET
    p.SafetyStockLevel = t.SafetyStockLevel,
	p.ReorderPoint = t.ReorderPoint
FROM [Production].[Product] p
INNER JOIN #Product t ON p.ProductID = t.ProductID
GO

DROP TABLE #Product
GO
